Subject: Re: bug#54558: mcomix refuses to run, missing GTK libraries

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 26 Mar 2022 09:01:47 +0100

Hi Maxim,

Am Freitag, dem 25.03.2022 um 22:57 -0400 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > [...]
> > +              (let ((p7zip (assoc-ref inputs "p7zip")))
> > +                ;; insert absolute path to 7z executable
> 
> I know it's in the original, but since while we're revamping the
> package, let's make this comment a proper complete sentence.
Thanks, did that.

> > +                (substitute* "mcomix/archive/sevenzip_external.py"
> > +                  (("_7z_executable = -1")
> > +                   (string-append "_7z_executable = u'" p7zip
> > "/bin/7z'")))
> 
> I'd use something like:
> 
> (format #f "_7z_executable = ~s"
>  (search-input-file inputs "bin/7z"))
> 
> For the replacement.  That unicode string (u"something") is
> obsolete/unnecessary (all strings are unicode in Python 3).
Thanks, did that.

> I haven't tried it, but LGTM with my above comments addressed.
I tried it in a pure shell and apart from the usual missing icons, it
launched fine.  Closing.

Cheers